@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  ASSET STP BUILD START   *********************

db2 drop procedure SP_I_ASSET
db2 create procedure SP_I_ASSET(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_ASSET' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_ASSET_DEPRECIATION
db2 create procedure SP_I_ASSET_DEPRECIATION(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_ASSET_DEPRECIATION' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_BUDGET_BREAKDOWN
db2 create procedure SP_I_BUDGET_BREAKDOWN(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_BUDGET_BREAKDOWN' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_ASSET_MAINTENANCE
db2 create procedure SP_I_ASSET_MAINTENANCE(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_ASSET_MAINTENANCE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_NAME
db2 create procedure SP_U_ASSET_NAME(in id long varchar, in name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ASSET_NAME' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_DESC
db2 create procedure SP_U_ASSET_DESC(in id long varchar, in category_id integer , in status_id integer, in quantity integer, in make long varchar , in model long varchar, in model_number long varchar, in serial_number long varchar, in barcode_number long varchar, in date_sold long varchar, in next_sched_maint long varchar, in description long varchar, in salvage_value double, in current_value double, in capital_value double,in total_maint double,in total_dep double, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_ASSET_DESC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_PRICE
db2 create procedure SP_U_ASSET_PRICE(in id long varchar, in depreciable_life integer, in depreciation_method integer, in date_acquired long varchar, in purchase_price double, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_ASSET_PRICE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_MAINTENANCE
db2 create procedure SP_U_ASSET_MAINTENANCE(in id long varchar, in description long varchar,in maint_date long varchar, in performed_by long varchar, in cost double, in est_cost double, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_ASSET_MAINTENANCE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_DEPRECIATION
db2 create procedure SP_U_ASSET_DEPRECIATION(in id long varchar, in depreciation_date long varchar, in depreciation_amount double, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_ASSET_DEPRECIATION' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_BUDGET_BREAKDOWN
db2 create procedure SP_U_BUDGET_BREAKDOWN(in id long varchar, in depreciation_date long varchar, in depreciation_amount double, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_BUDGET_BREAKDOWN' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_TRACKED
db2 create procedure SP_U_ASSET_TRACKED(in asset_id long varchar, in tracked_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ASSET_TRACKED' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_CIE
db2 create procedure SP_U_ASSET_CIE(in id long varchar, in domain_id long varchar, in company_name long varchar, in address long varchar, in phone long varchar, in fax long varchar, in website long varchar, in other_location long varchar, in year_in_business integer, in ASSET_more_100_employees integer, in ASSET_more_1000_employees integer, in ASSET_more_10000_employees integer, in number_employees integer, in contact_name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ASSET_CIE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_BKG
db2 create procedure SP_U_ASSET_BKG(in id long varchar, in annual_revenues double, in billing_address long varchar, in billing_phone long varchar, in billing_fax long varchar, in billing_email long varchar, in equal_opportunity long varchar, in company_background long varchar, in ownership long varchar, in services_offered long varchar, in services_specialized long varchar, in industries_served long varchar, in highlight long varchar, in location_served long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ASSET_BKG' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_ASSET
db2 create procedure SP_D_ASSET(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_ASSET' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_ASSET_MAINTENANCE
db2 create procedure SP_D_ASSET_MAINTENANCE(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_ASSET_MAINTENANCE' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_ASSET_DEPRECIATION
db2 create procedure SP_D_ASSET_DEPRECIATION(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_ASSET_DEPRECIATION' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_BUDGET_BREAKDOWN
db2 create procedure SP_D_BUDGET_BREAKDOWN(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_BUDGET_BREAKDOWN' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ASSET_CPLAN
db2 create procedure SP_S_ASSET_CPLAN(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_ASSET_CPLAN' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ASSET
db2 create procedure SP_S_ASSET(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ASSET' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ASSET_DEPRECIATION
db2 create procedure SP_S_ASSET_DEPRECIATION(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ASSET_DEPRECIATION' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_BUDGET_BREAKDOWN
db2 create procedure SP_S_BUDGET_BREAKDOWN(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_BUDGET_BREAKDOWN' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ASSET_MAINTENANCE
db2 create procedure SP_S_ASSET_MAINTENANCE(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ASSET_MAINTENANCE' language c deterministic parameter style general with nulls

db2 drop procedure SP_CKOUT_ASSET
db2 create procedure SP_CKOUT_ASSET(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CKOUT_ASSET' language c deterministic parameter style general with nulls

db2 drop procedure SP_CKIN_ASSET
db2 create procedure SP_CKIN_ASSET(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CKIN_ASSET' language c deterministic parameter style general with nulls

db2 drop procedure SP_UCKOUT_ASSET
db2 create procedure SP_UCKOUT_ASSET(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_UCKOUT_ASSET' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_REVISION
db2 create procedure SP_U_ASSET_REVISION(in id long varchar, in bitflag integer, in rev_impact integer, in rev_type integer, in rev_history long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ASSET_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ASSET_REVISION
db2 create procedure SP_S_ASSET_REVISION(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ASSET_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_ASSET
db2 create procedure SP_M_ASSET(in target long varchar, in source long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_ASSET' language c deterministic parameter style general with nulls

db2 drop procedure SP_MERGE_ASSET
db2 create procedure SP_MERGE_ASSET(in target long varchar, in source long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_MERGE_ASSET' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_ASSET_DEPEND
db2 create procedure SP_A_ASSET_DEPEND(in succ_id long varchar, in pred_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_ASSET_DEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_ASSET_DEPEND
db2 create procedure SP_UA_ASSET_DEPEND(in succ_id long varchar, in depend_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_ASSET_DEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ASSET_A_DEPEND
db2 create procedure SP_S_ASSET_A_DEPEND(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_ASSET_A_DEPEND' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_ASSET_RES
db2 create procedure SP_A_ASSET_RES(in succ_id long varchar, in pred_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_ASSET_RES' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_ASSET_RES
db2 create procedure SP_UA_ASSET_RES(in succ_id long varchar, in depend_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_ASSET_RES' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ASSET_A_RES
db2 create procedure SP_S_ASSET_A_RES(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_ASSET_A_RES' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_ASSET_ORG
db2 create procedure SP_A_ASSET_ORG(in succ_id long varchar, in pred_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_ASSET_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_ASSET_ORG
db2 create procedure SP_UA_ASSET_ORG(in succ_id long varchar, in depend_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_ASSET_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ASSET_A_ORG
db2 create procedure SP_S_ASSET_A_ORG(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_ASSET_A_ORG' language c deterministic parameter style general with nulls

db2 drop procedure SP_ASSET_REPORT
db2 create procedure SP_ASSET_REPORT( in report_type integer, in ids long varchar, in type integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_ASSET_REPORT' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_PROJECT_DISCOUNT
db2 create procedure SP_I_PROJECT_DISCOUNT(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_PROJECT_DISCOUNT' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_PROJECT_DISCOUNT
db2 create procedure SP_U_PROJECT_DISCOUNT(in id long varchar, in depreciation_date long varchar, in depreciation_amount double, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_PROJECT_DISCOUNT' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_PROJECT_DISCOUNT
db2 create procedure SP_S_PROJECT_DISCOUNT(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_PROJECT_DISCOUNT' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_PROJECT_DISCOUNT
db2 create procedure SP_D_PROJECT_DISCOUNT(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_PROJECT_DISCOUNT' language c deterministic parameter style general with nulls

db2 drop procedure SP_ASSET_VIEW
db2 create procedure SP_ASSET_VIEW(in p_id long varchar, in p_keywords long varchar, in p_attribute_ids long varchar, in p_status_ids long varchar, in p_category_ids long varchar, in p_location_ids long varchar, in p_organization_ids long varchar, in p_user_ids long varchar, in p_given_date long varchar, in p_and_or_flag integer, in p_bitflag integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_ASSET_VIEW' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_CONTACTOR
db2 create procedure SP_U_ASSET_CONTACTOR(in id long varchar, in licence_expiry_date long varchar, in warranty_expiry_date long varchar, in contactor long varchar, in contactor_phone long varchar, in contactor_email long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_ASSET_CONTACTOR' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ASSET_FINANCIAL
db2 create procedure SP_S_ASSET_FINANCIAL(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ASSET_FINANCIAL' language c deterministic parameter style general with nulls

db2 drop procedure SP_VIEW_NAME
db2 create procedure SP_VIEW_NAME(in p_table_type integer, in p_id long varchar, in p_keywords long varchar,in p_attribute_ids long varchar, in p_type_ids long varchar, in p_bitflag integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_VIEW_NAME' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_ASSET_PROJECT
db2 create procedure SP_A_ASSET_PROJECT(in p_table_type integer, in p_asset_id long varchar, in p_id long varchar, in p_rec_user long varchar) external name '%procdir%%DB%!SP_A_ASSET_PROJECT' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_ASSET_PROJECT
db2 create procedure SP_UA_ASSET_PROJECT(in p_table_type integer, in p_asset_id long varchar, in p_id long varchar, in p_rec_user long varchar) external name '%procdir%%DB%!SP_UA_ASSET_PROJECT' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_PBB_ASSET
db2 create procedure SP_S_PBB_ASSET(in p_asset_id long varchar, in p_budget_year integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_S_PBB_ASSET' language c deterministic parameter style general with nulls
	
db2 drop procedure SP_U_ASSET_TIMEPHASE
db2 create procedure SP_U_ASSET_TIMEPHASE(in table_type integer, in asset_id long varchar, in budget_year integer, in p_id long varchar, in budget_type integer, in month_01_amount double, in month_02_amount double, in month_03_amount double, in month_04_amount double, in month_05_amount double, in month_06_amount double, in month_07_amount double, in month_08_amount double, in month_09_amount double, in month_10_amount double, in month_11_amount double, in month_12_amount double, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ASSET_TIMEPHASE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ASSET_CROSS_CHARGE
db2 create procedure SP_U_ASSET_CROSS_CHARGE(in table_type integer, in asset_id long varchar, in id long varchar, in start_date long varchar, in finish_date long varchar, in quantity double, in charge_type integer, in unit_price double, in rec_user long varchar ) external name '%procdir%%DB%!SP_U_ASSET_CROSS_CHARGE' language c deterministic parameter style general with nulls

db2 drop procedure SP_LOAD_ASSET_ATTR
db2 create procedure SP_LOAD_ASSET_ATTR(in asset_id long varchar, in type integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_LOAD_ASSET_ATTR' language c deterministic parameter style general with nulls

db2 drop procedure SP_ASSET_BUBBLE
db2 create procedure SP_ASSET_BUBBLE(in asset_id long varchar, in type integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_ASSET_BUBBLE' language c deterministic parameter style general with nulls

db2 drop procedure SP_ASSET_SCD
db2 create procedure SP_ASSET_SCD(in asset_id long varchar, in type integer, in rec_user long varchar ) external name '%procdir%%DB%!SP_ASSET_SCD' language c deterministic parameter style general with nulls

db2 drop procedure SP_ASSET_MAINT_PIVOTS
db2 create procedure SP_ASSET_MAINT_PIVOTS(in asset_id long varchar, in type integer, in start_date long varchar, in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_ASSET_MAINT_PIVOTS' language c deterministic parameter style general with nulls

db2 drop procedure SP_ASSET_CC_PIVOTS
db2 create procedure SP_ASSET_CC_PIVOTS(in asset_id long varchar, in type integer, in start_date long varchar, in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_ASSET_CC_PIVOTS' language c deterministic parameter style general with nulls

db2 drop procedure SP_ASSET_DEPR_PIVOTS
db2 create procedure SP_ASSET_DEPR_PIVOTS(in asset_id long varchar, in type integer, in start_date long varchar, in finish_date long varchar, in rec_user long varchar ) external name '%procdir%%DB%!SP_ASSET_DEPR_PIVOTS' language c deterministic parameter style general with nulls

echo ****************  ASSET STP BUILD FINISH   *********************
:done
