@echo off

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

if "%DLLDRIVE%" == "" goto env_error
if "%1" == "" goto param_error

echo *******************************************************************************
echo ***************************************** DELETE OF BND CSS AND EXP FILES *****
echo *******************************************************************************
@echo off

del *.bnd
del *.cxx
del *.sqx
del *.i
del *.exp

cl -I"%DB2PATH%\include" -P -TP -c -D_X86_=1 -DWIN32 -D_DEBUG *.cpp
if %ERRORLEVEL% NEQ 0 goto :finish_with_error
ren *.i *.sqx
rem db2 CONNECT TO %1 USER servadm using servadm

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo *******************************************************************************
echo ****************************************** PRECOMPILING ALL THE SQX FILES *****
echo *******************************************************************************
@echo off

REM FOR %%a IN (*.sqx) DO "%DB2PATH%\BIN\db2" prep %%a bindfile DATETIME USA
REM FOR %%a IN (*.sqx) DO "%DB2PATH%\BIN\db2" prep %%a bindfile DATETIME ISO NOLINEMACRO PREPROCESSOR 'myprep %%a'
FOR %%a IN (*.sqx) DO "%DB2PATH%\BIN\db2" prep %%a bindfile DATETIME ISO
if %ERRORLEVEL% NEQ 0 goto :finish_with_error
db2 connect reset

echo *******************************************************************************
echo ****************************************** COMPILING ALL THE CXX PROGRAMS *****
echo *******************************************************************************
@echo off

FOR %%b IN (*.cxx) DO cl -GX -I"%DB2PATH%\include" -Od -c -D_X86_=1 -DWIN32 %%b
if %ERRORLEVEL% NEQ 0 goto :finish_with_error

echo *******************************************************************************
echo ************************************ LINKING ALL THE OBJECTS INTO ONE DLL *****
echo *******************************************************************************
@echo off

:linkstep
link /dll /NODEFAULTLIB:LIBCMTD -out:%DB%.dll *.obj  ole32.lib ws2_32.lib "%DB2PATH%\lib\db2api.lib" -def:%DB%.def
if %ERRORLEVEL%  NEQ   0 goto :finish_with_error

db2 CONNECT TO %DB% USER %USR% using %PWRD%

rem db2 CONNECT TO %1 USER servadm using servadm

echo *******************************************************************************
echo ****************************************** BINDING ALL THE BND FILES ECHO *****
echo *******************************************************************************
@echo off

ren Lev_inputDataDB.bnd Lev_inputDataDB.bkp
ren Lev_output.bnd Lev_output.bkp
ren Lev_resolveDependencesDB.bnd Lev_resolveDependencesDB.bkp
ren Lev_project.bnd Lev_project.bkp

del Lev*.bnd

ren Lev_inputDataDB.bkp Lev_inputDataDB.bnd
ren Lev_output.bkp Lev_output.bnd
ren Lev_resolveDependencesDB.bkp Lev_resolveDependencesDB.bnd
ren Lev_project.bkp Lev_project.bnd

REM For %%c in (*.bnd) do "%DB2PATH%\BIN\db2" bind %%c DATETIME USA
REM FOR %%c IN (*.bnd) do "%DB2PATH%\BIN\db2" bind %%c DATETIME ISO NOLINEMACRO PREPROCESSOR 'myprep %%c'
FOR %%c IN (*.bnd) do "%DB2PATH%\BIN\db2" bind %%c DATETIME ISO ISOLATION UR BLOCKING ALL
if %ERRORLEVEL%  ==  0 goto :success_msg

:env_error
echo Error: Undefined environment variable DLLDRIVE
goto done

:param_error
echo Usage: forbuild Database
goto done

:finish_with_error
db2 connect reset

echo *******************************************************************************
echo ******************************************************* ERROR HAS OCCURED *****
echo *******************************************************************************
@echo off

goto done
:success_msg
db2 connect reset
copy %DB%.dll "%DLLDRIVE%\function"
copy %DB%.dll "%DLLDRIVE%\function\unfenced"


echo *******************************************************************************
echo ************************************** SUCCESSFUL COMPILE, BIND, AND LINK *****
echo *******************************************************************************
@echo off

:done

