@echo off
rem
rem CPlan.bat
rem
rem Description: Capacity Planning
rem
rem $Author: Tut $
rem $Revision: 7 $
rem $Date: 7/31/00 6:18p $
rem 
rem $Log: /PMOffice_4_0_server/PMOv3/C-StoredProcs/cplan.bat $
rem 
rem 7     7/31/00 6:18p Tut
rem Only the stored proc SP_SEARCH_RES is not done. See TJ
rem 
rem 6     7/26/00 5:16p Tut
rem added SP_S_DEPENDS
rem 
rem 5     7/24/00 6:27p Tut
rem 
rem 4     7/22/00 5:55p Tut
rem First check in, after BIT_SCHED for bit modification.
rem SP_A_RESTOPROF is tested.
rem More SP to add, I'm keeping checked out the cplan files. 
rem 
rem 3     6/08/00 4:05p Tut
rem Check for Delete/Undelete
rem 
rem 2     5/30/00 7:09p Tara
rem removed rec_user from selects
rem 
rem 1     5/22/00 6:36a Shak
rem First Version... More to come!
rem 
rem 9     5/20/00 9:01p Tut
rem Changed rollup remaining in Update & Delete Task_Resources
rem 
rem

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************
 
echo ****************  CPLAN STP BUILD START   *********************


echo  SP_CLEANUP_SEARCH
db2 drop procedure SP_CLEANUP_SEARCH
db2 create procedure SP_CLEANUP_SEARCH(in id long varchar) external name '%procdir%%DB%!SP_CLEANUP_SEARCH' language c deterministic parameter style general with nulls

echo  SP_A_TSKPROF_NEW
db2 drop procedure SP_A_TSKPROF_NEW
db2 create procedure SP_A_TSKPROF_NEW(in tsk_id long varchar,in res_id long varchar, in role_id long varchar, in org_id long varchar,in geo_id long varchar, in pool_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_TSKPROF_NEW' language c deterministic parameter style general with nulls

echo  SP_A_TSKPROF
db2 drop procedure SP_A_TSKPROF
db2 create procedure SP_A_TSKPROF(in tsk_id long varchar,in res_id long varchar, in role_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_TSKPROF' language c deterministic parameter style general with nulls

echo  SP_I_PROFILE
db2 drop procedure SP_I_PROFILE
db2 create procedure SP_I_PROFILE(in project_id long varchar, in role_ids long varchar, in skill_ids long varchar, in org_id long varchar, in geo_id long varchar, in pool_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_I_PROFILE' language c deterministic parameter style general with nulls

echo  SP_A_TSKRES
db2 drop procedure SP_A_TSKRES
db2 create procedure SP_A_TSKRES(in tsk_id long varchar,in res_id long varchar,in rec_user long varchar) external name '%procdir%%DB%!SP_A_TSKRES' language c deterministic parameter style general with nulls

echo  SP_A_CRIRES
db2 drop procedure SP_A_CRIRES
db2 create procedure SP_A_CRIRES(in id long varchar,in res_id long varchar,in rec_user long varchar) external name '%procdir%%DB%!SP_A_CRIRES' language c deterministic parameter style general with nulls

echo  SP_A_REQRES
db2 drop procedure SP_A_REQRES
db2 create procedure SP_A_REQRES(in id long varchar,in res_id long varchar,in rec_user long varchar) external name '%procdir%%DB%!SP_A_REQRES' language c deterministic parameter style general with nulls

echo  SP_A_POOLRES
db2 drop procedure SP_A_POOLRES
db2 create procedure SP_A_POOLRES(in id long varchar,in res_id long varchar,in rec_user long varchar) external name '%procdir%%DB%!SP_A_POOLRES' language c deterministic parameter style general with nulls

echo  SP_A_DOCRES
db2 drop procedure SP_A_DOCRES
db2 create procedure SP_A_DOCRES(in table_type integer,in id long varchar,in res_id long varchar,in rec_user long varchar) external name '%procdir%%DB%!SP_A_DOCRES' language c deterministic parameter style general with nulls

echo  SP_U_TSKRES2
db2 drop procedure SP_U_TSKRES2
db2 create procedure SP_U_TSKRES2(in assign_id long varchar, in role_ids long varchar, in skill_ids long varchar, in work_loc integer, in start_date long varchar, in finish_date long varchar, in effort integer, in work integer, in eunit integer, in unit integer, in work_type integer, in bitflag integer, in contour integer, in contour_type integer, in occurrence integer, in assign_string long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_TSKRES2' language c deterministic parameter style general with nulls

echo  SP_I_ROLES_SKILLS
db2 drop procedure SP_I_ROLES_SKILLS
db2 create procedure SP_I_ROLES_SKILLS(in assign_id long varchar, in role_id long varchar, in skill_ids long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_I_ROLES_SKILLS' language c deterministic parameter style general with nulls

echo  SP_A_RESTOPROF
db2 drop procedure SP_A_RESTOPROF
db2 create procedure SP_A_RESTOPROF(in project_id long varchar,in profile_id long varchar, in res_id long varchar, in start_date long varchar, in finish_date long varchar, in effort integer, in work integer, in bitflag integer, in eunit integer, in unit integer, in contur integer, in occurence integer, in consider integer, in work_type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_A_RESTOPROF' language c deterministic parameter style general with nulls

echo  SP_S_PROFILE
db2 drop procedure SP_S_PROFILE
db2 create procedure SP_S_PROFILE(in id long varchar, in bits integer, in res_id long varchar) external name '%procdir%%DB%!SP_S_PROFILE' language c deterministic parameter style general with nulls

echo  SP_U_TIMECODE2
db2 drop procedure SP_U_TIMECODE2
db2 create procedure SP_U_TIMECODE2(in assign_id long varchar, in timecode2_id long varchar) external name '%procdir%%DB%!SP_U_TIMECODE2' language c deterministic parameter style general with nulls

echo  SP_SEARCH_2
db2 drop procedure SP_SEARCH_2
db2 create procedure SP_SEARCH_2(in prj_id long varchar, in start_date long varchar, in finish_date long varchar, in effort integer, in work integer, in bitflag integer, in eunit integer, in unit integer, in contour integer, in occurrence integer, in consider_planned_sched integer, in fname long varchar, in cost long varchar, in org_id long varchar, in geo_id long varchar, in pool_id long varchar, in work_loc integer, in and_roles long varchar, in and_skills long varchar, in shw_roles long varchar, in shw_skills long varchar,in max_rows integer, in update integer, in work_type integer, in type integer, in last_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_SEARCH_2' language c deterministic parameter style general with nulls

echo  SP_SEARCH_1
db2 drop procedure SP_SEARCH_1
db2 create procedure SP_SEARCH_1(in prj_id long varchar, in start_date long varchar, in finish_date long varchar, in effort integer, in work integer, in bitflag integer, in eunit integer, in unit integer, in contour integer, in occurrence integer, in consider_planned_sched integer, in work_type integer, in type integer, in and_roles long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_SEARCH_1' language c deterministic parameter style general with nulls

echo  SP_SEARCH_3
db2 drop procedure SP_SEARCH_3
db2 create procedure SP_SEARCH_3(in prj_id long varchar, in start_date long varchar, in finish_date long varchar, in effort integer, in work integer, in bitflag integer, in eunit integer, in unit integer, in contour integer, in occurrence integer, in consider_planned_sched integer, in work_type integer, in type integer, in and_roles long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_SEARCH_3' language c deterministic parameter style general with nulls

echo  SP_U_RATES
db2 drop procedure SP_U_RATES
db2 create procedure SP_U_RATES(in id long varchar, in reg_cost double, in spec_cost double, in reg_rate double, in spec_rate double, in rate_adjustment integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RATES' language c deterministic parameter style general with nulls

echo  SP_U_STATUS
db2 drop procedure SP_U_STATUS
db2 create procedure SP_U_STATUS(in id long varchar, in status integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_STATUS' language c deterministic parameter style general with nulls

echo  SP_D_TSKRES
db2 drop procedure SP_D_TSKRES
db2 create procedure SP_D_TSKRES(in id long varchar, in bitflag integer, in res_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_TSKRES' language c deterministic parameter style general with nulls

echo  SP_D_TSKRES_ACT
db2 drop procedure SP_D_TSKRES_ACT
db2 create procedure SP_D_TSKRES_ACT(in id long varchar, in bitflag integer, in res_id long varchar, in rec_user long varchar, in dflag integer) external name '%procdir%%DB%!SP_D_TSKRES_ACT' language c deterministic parameter style general with nulls

echo  SP_D_PRJRES
db2 drop procedure SP_D_PRJRES
db2 create procedure SP_D_PRJRES(in id long varchar, in bitflag integer, in res_id long varchar, in plan_id long varchar, in sched_id long varchar, in participant_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_PRJRES' language c deterministic parameter style general with nulls

echo  SP_UN_TSKRES
db2 drop procedure SP_UN_TSKRES
db2 create procedure SP_UN_TSKRES(in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UN_TSKRES' language c deterministic parameter style general with nulls

echo  SP_U_PARTICIPANT
db2 drop procedure SP_U_PARTICIPANT
db2 create procedure SP_U_PARTICIPANT(in assign_id long varchar, in security_id long varchar, in planned_start long varchar, in planned_finish long varchar, in delay integer, in units integer, in work_percent integer, in actual integer, in res_id long varchar) external name '%procdir%%DB%!SP_U_PARTICIPANT' language c deterministic parameter style general with nulls

echo  SP_U_CRI_SECURITY
db2 drop procedure SP_U_CRI_SECURITY
db2 create procedure SP_U_CRI_SECURITY(in assign_id long varchar, in security_id long varchar, in planned_start long varchar, in planned_finish long varchar, in delay integer, in units integer, in work_percent integer, in actual integer, in res_id long varchar) external name '%procdir%%DB%!SP_U_CRI_SECURITY' language c deterministic parameter style general with nulls

echo  SP_U_ACCEPTEDATE
db2 drop procedure SP_U_ACCEPTEDATE
db2 create procedure SP_U_ACCEPTEDATE(in tsk_assignment_id long varchar, in resource_id long varchar, in doy long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ACCEPTED' language c deterministic parameter style general with nulls

echo  SP_U_IMPEX_ASSIGN
db2 drop procedure SP_U_IMPEX_ASSIGN
db2 create procedure SP_U_IMPEX_ASSIGN(in task_id long varchar, in res_id long varchar, in default integer, in start_date long varchar, in finish_date long varchar, in effort integer, in assign_string long varchar, in reg_cost integer, in reg_sale integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_IMPEX_ASSIGN' language c deterministic parameter style general with nulls

echo  SP_ASSIGN_MSP
db2 drop procedure SP_ASSIGN_MSP
db2 create procedure SP_ASSIGN_MSP(in id long varchar, in action_type integer, in task_id long varchar, in start_dt long varchar, in finish_dt long varchar, in effort integer, in assign_string long varchar, in work_todate integer, in percent_complete integer, in etc integer, in data_flag integer, in units integer, in contour_type integer, in baseline_start long varchar, in baseline_finish long varchar, in baseline_duration integer, in baseline_effort integer, in actual_start long varchar, in actual_finish long varchar, in actual_effort integer, in rec_user long varchar) external name '%procdir%%DB%!SP_ASSIGN_MSP' language c deterministic parameter style general with nulls

echo  SP_COMMIT_ASSIGN 
db2 drop procedure SP_COMMIT_ASSIGN
db2 create procedure SP_COMMIT_ASSIGN(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_COMMIT_ASSIGN' language c deterministic parameter style general with nulls

echo  SP_ACPT_ETC_ASSIGN 
db2 drop procedure SP_ACPT_ETC_ASSIGN
db2 create procedure SP_ACPT_ETC_ASSIGN(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_ACPT_ETC_ASSIGN' language c deterministic parameter style general with nulls

echo  SP_ACPT_ETC_WBS 
db2 drop procedure SP_ACPT_ETC_WBS
db2 create procedure SP_ACPT_ETC_WBS(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_ACPT_ETC_WBS' language c deterministic parameter style general with nulls

echo  SP_RJCT_ETC_ASSIGN 
db2 drop procedure SP_RJCT_ETC_ASSIGN
db2 create procedure SP_RJCT_ETC_ASSIGN(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_RJCT_ETC_ASSIGN' language c deterministic parameter style general with nulls

echo  SP_RJCT_ETC_WBS 
db2 drop procedure SP_RJCT_ETC_WBS
db2 create procedure SP_RJCT_ETC_WBS(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_RJCT_ETC_WBS' language c deterministic parameter style general with nulls

echo  SP_TEST_ASSIGN 
db2 drop procedure SP_TEST_ASSIGN
db2 create procedure SP_TEST_ASSIGN(in prj_id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_TEST_ASSIGN' language c deterministic parameter style general with nulls

echo  SP_U_ASSIGN_DESCR
db2 drop procedure SP_U_ASSIGN_DESCR
db2 create procedure SP_U_ASSIGN_DESCR(in prj_id long varchar, in res_id long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ASSIGN_DESCR' language c deterministic parameter style general with nulls

echo  SP_U_WP_ACTUAL
db2 drop procedure SP_U_WP_ACTUAL
db2 create procedure SP_U_WP_ACTUAL(in assign_id long varchar, in work_percent integer, in actual integer, in units integer, in res_id long varchar) external name '%procdir%%DB%!SP_U_WP_ACTUAL' language c deterministic parameter style general with nulls

echo  SP_U_WP_FORECAST
db2 drop procedure SP_U_WP_FORECAST
db2 create procedure SP_U_WP_FORECAST(in assign_id long varchar, in forecast_start long varchar, in forecast_finish long varchar, in acc_rej_bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WP_FORECAST' language c deterministic parameter style general with nulls

echo  SP_U_WP_DATES
db2 drop procedure SP_U_WP_DATES
db2 create procedure SP_U_WP_DATES(in assign_id long varchar, in planned_start long varchar, in planned_finish long varchar, in res_id long varchar) external name '%procdir%%DB%!SP_U_WP_DATES' language c deterministic parameter style general with nulls

echo ****************  CPLAN STP BUILD FINISH   *********************

REM *********************************************  END  *****************************************************

:done
