@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  CRI STP BUILD START   *********************

db2 drop procedure SP_I_CRI
db2 create procedure SP_I_CRI(in table integer, in name long varchar, in parent_id long varchar, in foreign_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_CRI_NEW
db2 create procedure SP_I_CRI_NEW(in table long varchar, in name long varchar, in parent_id long varchar, in foreign_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_CRI_NEW' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_NAME
db2 create procedure SP_U_CRI_NAME(in id long varchar, in name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_NAME' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_IDEN
db2 create procedure SP_U_CRI_IDEN(in id long varchar, in reference_number long varchar, in type_id integer, in external_reference long varchar, in priority_id integer, in priority integer, in planning_type integer, in planning_unit long varchar, in constraint_type integer, in constraint_dt long varchar, in effort_duration_flag long varchar, in proposed_by_name long varchar, in proposed_datetime long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_IDEN' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_QUAN
db2 create procedure SP_U_CRI_QUAN(in id long varchar, in impact_level_id integer, in high_estimated_budget double, in estimated_budget double, in low_estimated_budget double, in estimated_revenue double, in estimated_saving double, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_QUAN' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_RESP
db2 create procedure SP_U_CRI_RESP(in id long varchar, in approved_datetime long varchar, in approved_impact_level_id integer, in approved_by_name long varchar, in approved_budget double, in approved_revenue double, in approved_saving double, in closed_by_name long varchar, in closed_datetime long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_RESP' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_RSK_QUAN
db2 create procedure SP_U_RSK_QUAN(in id long varchar, in mitigation_cost double, in scope_rank_id integer, in schedule_rank_id integer, in cost_rank_id integer, in quality_rank_id integer, in probability_rank_id integer, in precision_rank_id integer, in impact_rank_id integer, in exposure_id integer, in consequense_cost double, in probability_cost double, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RSK_QUAN' language c deterministic parameter style general with nulls

db2 drop procedure SP_CKOUT_CRI
db2 create procedure SP_CKOUT_CRI(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CKOUT_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_CRICKIN_ALL
db2 create procedure SP_CRICKIN_ALL(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CRICKIN_ALL' language c deterministic parameter style general with nulls

db2 drop procedure SP_CKIN_CRI
db2 create procedure SP_CKIN_CRI(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CKIN_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_UCKOUT_CRI
db2 create procedure SP_UCKOUT_CRI(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_UCKOUT_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_ISOUT_CRI
db2 create procedure SP_ISOUT_CRI(in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_ISOUT_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CRI
db2 create procedure SP_S_CRI(in id long varchar, in bitflag integer, in treetype integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_CRI_VIEW
db2 create procedure SP_CRI_VIEW( in p_treetype integer,  in sp_id integer, in id long varchar, in resource_id long varchar, in name long varchar, in filter_string long varchar, in filter_count integer, in type integer, in active_record integer, in stage_id integer) external name '%procdir%%DB%!SP_CRI_VIEW' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_CRI
db2 create procedure SP_D_CRI(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_UN_CRI
db2 create procedure SP_UN_CRI(in id long varchar, in parent_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UN_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_C_CRI
db2 create procedure SP_C_CRI(in table integer, in target_id long varchar, in foreign_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_C_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_CRI
db2 create procedure SP_M_CRI(in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_T_CRI
db2 create procedure SP_T_CRI(in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_T_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_REVISION
db2 create procedure SP_U_CRI_REVISION(in id long varchar, in bitflag integer, in rev_impact integer, in rev_type integer, in rev_history long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_CRI_REVISION
db2 create procedure SP_S_CRI_REVISION(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_CRI_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRIDATES
db2 create procedure SP_U_CRIDATES(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in duration integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRIDATES' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_PLANNED
db2 create procedure SP_U_CRI_PLANNED(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in duration integer, in rollup_flag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_PLANNED' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_SCHED
db2 create procedure SP_U_CRI_SCHED(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in duration integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_SCHED' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_WBS_TO_CRI
db2 create procedure SP_A_WBS_TO_CRI(in id long varchar, in parent_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_WBS_TO_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_PROP
db2 create procedure SP_U_CRI_PROP(in id long varchar, in reassign_count integer, in duplicate_ref_id long varchar, in occured_datetime long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_PROP' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_ESTIMATED
db2 create procedure SP_U_CRI_ESTIMATED(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in duration integer, in effort integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_ESTIMATED' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_ESTIMATED_LOW
db2 create procedure SP_U_CRI_ESTIMATED_LOW(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in duration integer, in effort integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_ESTIMATED_LOW' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_ESTIMATED_HIGH
db2 create procedure SP_U_CRI_ESTIMATED_HIGH(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in duration integer, in effort integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_ESTIMATED_HIGH' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_APPROVED
db2 create procedure SP_U_CRI_APPROVED(in id long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in duration integer, in effort integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_APPROVED' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_CLIENT
db2 create procedure SP_U_CRI_CLIENT(in id long varchar, in client_id long varchar, in client_name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_CLIENT' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_PUBLISHED
db2 create procedure SP_U_CRI_PUBLISHED(in id long varchar, in published long varchar, in visible_at_parent long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_PUBLISHED' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_TARGET_DATE
db2 create procedure SP_U_CRI_TARGET_DATE(in id long varchar, in target_date long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_TARGET_DATE' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_DUPLICATE_CRI
db2 create procedure SP_S_DUPLICATE_CRI(in id long varchar, in bitflag integer)external name '%procdir%%DB%!SP_S_DUPLICATE_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_DUPLICATE_CRI_VIEW
db2 create procedure SP_DUPLICATE_CRI_VIEW(in id long varchar, in keywords long varchar, in bitflag integer)external name '%procdir%%DB%!SP_DUPLICATE_CRI_VIEW' language c deterministic parameter style general with nulls


db2 drop procedure SP_A_DUPLICATE_CRI
db2 create procedure SP_A_DUPLICATE_CRI(in target_id long varchar, in source_id long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_A_DUPLICATE_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_DUPLICATE_CRI
db2 create procedure SP_UA_DUPLICATE_CRI(in target_id long varchar, in source_id long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_UA_DUPLICATE_CRI' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_ASSET
db2 create procedure SP_U_CRI_ASSET(in id long varchar, in asset_id long varchar, in asset_name long varchar, in financial_category integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_ASSET' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_CRI_ELEMENT_FLAG
db2 create procedure SP_U_CRI_ELEMENT_FLAG(in id long varchar, in element_flag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_CRI_ELEMENT_FLAG' language c deterministic parameter style general with nulls

echo ****************  CRI STP BUILD FINISH   *********************
:done
