@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************

echo ****************  DOCUMENT STP BUILD START   *********************

echo  SP_I_DOC
db2 drop procedure SP_I_DOC
db2 create procedure SP_I_DOC(in table integer, in doc_name long varchar, in parent_id long varchar, in foreign_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_DOC' language c deterministic parameter style general with nulls

echo  SP_I_DOC_NEW
db2 drop procedure SP_I_DOC_NEW
db2 create procedure SP_I_DOC_NEW(in table long varchar, in name long varchar, in parent_id long varchar, in foreign_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_DOC_NEW' language c deterministic parameter style general with nulls

echo  SP_A_DOC
db2 drop procedure SP_A_DOC
db2 create procedure SP_A_DOC(in table integer, in doc_id long varchar, in parent_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_DOC' language c deterministic parameter style general with nulls

echo  SP_U_DOC
db2 drop procedure SP_U_DOC
db2 create procedure SP_U_DOC(in table integer, in doc_id long varchar, in attach long varchar, in ref_number long varchar, in author_checkout long varchar, in published long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DOC' language c deterministic parameter style general with nulls

echo  SP_U_DOC_REVISION
db2 drop procedure SP_U_DOC_REVISION
db2 create procedure SP_U_DOC_REVISION(in table integer, in doc_id long varchar, in bitflag integer, in rev_impact integer, in rev_type integer, in rev_history long varchar, in stage_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DOC_REVISION' language c deterministic parameter style general with nulls

echo  SP_S_DOC_REVISION
db2 drop procedure SP_S_DOC_REVISION
db2 create procedure SP_S_DOC_REVISION(in p_treetype integer, in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_DOC_REVISION' language c deterministic parameter style general with nulls

echo  SP_S_DOC_SEARCH
db2 drop procedure SP_S_DOC_SEARCH
db2 create procedure SP_S_DOC_SEARCH(in table integer, in doc_name long varchar, in ref_number long varchar, in keywords long varchar, in bitflag integer, in start_date long varchar, in end_date long varchar, in during integer) external name '%procdir%%DB%!SP_S_DOC_SEARCH' language c deterministic parameter style general with nulls

echo  SP_ISOUT_DOC
db2 drop procedure SP_ISOUT_DOC
db2 create procedure SP_ISOUT_DOC(in table integer, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_ISOUT_DOC' language c deterministic parameter style general with nulls

echo  SP_DOCCKIN_ALL
db2 drop procedure SP_DOCCKIN_ALL
db2 create procedure SP_DOCCKIN_ALL(in table integer, in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_DOCCKIN_ALL' language c deterministic parameter style general with nulls

echo  SP_CHECK_IN_DOC
db2 drop procedure SP_CHECK_IN_DOC
db2 create procedure SP_CHECK_IN_DOC(in table integer, in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CHECK_IN_DOC' language c deterministic parameter style general with nulls

echo  SP_CHECK_OUT_DOC
db2 drop procedure SP_CHECK_OUT_DOC
db2 create procedure SP_CHECK_OUT_DOC(in table integer, in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CHECK_OUT_DOC' language c deterministic parameter style general with nulls

echo  SP_D_DOC
db2 drop procedure SP_D_DOC
db2 create procedure SP_D_DOC(in table integer, in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_DOC' language c deterministic parameter style general with nulls

echo  SP_U_DOC_NAME
db2 drop procedure SP_U_DOC_NAME
db2 create procedure SP_U_DOC_NAME(in table integer, in id long varchar, in name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DOC_NAME' language c deterministic parameter style general with nulls

echo  SP_U_DOC_DETAIL
db2 drop procedure SP_U_DOC_DETAIL
db2 create procedure SP_U_DOC_DETAIL(in table integer, in id long varchar, in keywords long varchar, in summary long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DOC_DETAIL' language c deterministic parameter style general with nulls

echo  SP_U_DOC_PUBLISHED
db2 drop procedure SP_U_DOC_PUBLISHED
db2 create procedure SP_U_DOC_PUBLISHED(in table integer, in id long varchar, in published long varchar, in visible_at_parent long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DOC_PUBLISHED' language c deterministic parameter style general with nulls

echo  SP_DOC_VIEW
db2 drop procedure SP_DOC_VIEW
db2 create procedure SP_DOC_VIEW(in p_table integer, in sp_id integer, in id long varchar, in resource_id long varchar, in name long varchar, in filter_string long varchar, in filter_count integer, in type integer, in active_record integer, in stage_id integer) external name '%procdir%%DB%!SP_DOC_VIEW' language c deterministic parameter style general with nulls

echo  SP_UNDO_DOC
db2 drop procedure SP_UNDO_DOC
db2 create procedure SP_UNDO_DOC(in table integer, in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_UNDO_DOC' language c deterministic parameter style general with nulls

echo  SP_M_DOC
db2 drop procedure SP_M_DOC
db2 create procedure SP_M_DOC(in table integer, in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_DOC' language c deterministic parameter style general with nulls

echo  SP_U_DOC_PRIORITY_RANK
db2 drop procedure SP_U_DOC_PRIORITY_RANK
db2 create procedure SP_U_DOC_PRIORITY_RANK(in table integer, in doc_id long varchar, in scope_rank_id integer, in priority integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DOC_PRIORITY_RANK' language c deterministic parameter style general with nulls

echo  SP_U_DOC_LOCAL_FOLDER
db2 drop procedure SP_U_DOC_LOCAL_FOLDER
db2 create procedure SP_U_DOC_LOCAL_FOLDER(in table integer, in id long varchar, in local_machine long varchar, in local_folder long varchar, in document_size integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_DOC_LOCAL_FOLDER' language c deterministic parameter style general with nulls


echo  SP_T_DOC
db2 drop procedure SP_T_DOC
db2 create procedure SP_T_DOC(in target_table integer, in target_id long varchar, in source_id long varchar, in bitflag integer,in rec_user long varchar) external name '%procdir%%DB%!SP_T_DOC' language c deterministic parameter style general with nulls

echo  SP_UN_DOC
db2 drop procedure SP_UN_DOC
db2 create procedure SP_UN_DOC(in table integer, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UN_DOC' language c deterministic parameter style general with nulls

echo  SP_LOCK_DOC
db2 drop procedure SP_LOCK_DOC
db2 create procedure SP_LOCK_DOC(in table integer, in id long varchar, in rec_status long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_LOCK_DOC' language c deterministic parameter style general with nulls

echo  SP_C_DOC
db2 drop procedure SP_C_DOC
db2 create procedure SP_C_DOC(in table integer, in target_id long varchar, in foreign_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_C_DOC' language c deterministic parameter style general with nulls

REM ************************************** MISSING FUNCTIONS BEGIN ******************************************
REM **************************************  MISSING FUNCTIONS END  ******************************************

REM   7 Stored procedures  in this bath file.

REM *********************************************  END  *****************************************************


echo ****************  DOCUMENT STP BUILD FINISH   *********************
:done

