@echo off
echo *******************************************************************************
ECHO ***************************************** DELETE OF BND CSS AND EXP FILES *****
echo *******************************************************************************
@echo off

del %2.bnd
del %2.cxx
del %2.sqx
del %2.i
del %2.exp

cl -I"%DB2PATH%\include" -P -TP -c -D_X86_=1 -DWIN32 %2.cpp
if %ERRORLEVEL% NEQ 0 goto :finish_with_error
ren %2.i %2.sqx

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%3" EQU "" (SET USR=servadm) ELSE (SET USR=%3)
IF "%4" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%4)

db2 CONNECT TO %DB% USER %USR% USING %PWRD%
rem db2 CONNECT TO %1 USER servadm using servadm

echo *******************************************************************************
ECHO ****************************************** PRECOMPILING ALL THE SQX FILES *****
echo *******************************************************************************
@echo off

db2 prep %2.sqx bindfile DATETIME ISO
REM NOLINEMACRO PREPROCESSOR 'myprep %2.sqx'
if %ERRORLEVEL% NEQ 0 goto :finish_with_error
db2 connect reset

echo *******************************************************************************
ECHO ****************************************** COMPILING ALL THE CXX PROGRAMS *****
echo *******************************************************************************
@echo off

cl -GX -I"%DB2PATH%\include"  -Od -c -D_X86_=1 -DWIN32 %2.cxx
if %ERRORLEVEL% NEQ 0 goto :finish_with_error

echo *******************************************************************************
ECHO ************************************ LINKING ALL THE OBJECTS INTO ONE DLL *****
echo *******************************************************************************
@echo off

:linkstep
link /dll /NODEFAULTLIB:LIBCMTD -out:%DB%.dll *.obj ole32.lib  ws2_32.lib "%DB2PATH%\lib\db2api.lib" -def:%DB%.def
if %ERRORLEVEL%  NEQ   0 goto :finish_with_error

db2 CONNECT TO %DB% USER %USR% using %PWRD%
rem db2 CONNECT TO %1 USER servadm using servadm

echo *******************************************************************************
ECHO ****************************************** BINDING ALL THE BND FILES ECHO *****
echo *******************************************************************************
@echo off

db2 bind %2.bnd DATETIME ISO ISOLATION UR BLOCKING ALL
if %ERRORLEVEL%  ==  0 goto :success_msg

:finish_with_error
db2 connect reset

echo *******************************************************************************
echo ******************************************************* ERROR HAS OCCURED *****
echo *******************************************************************************
@echo off

goto done

:success_msg
db2 connect reset
copy %DB%.dll "%DLLDRIVE%\function"
copy %DB%.dll "%DLLDRIVE%\function\unfenced"

echo *******************************************************************************
echo ************************************** SUCCESSFUL COMPILE, BIND, AND LINK *****
echo *******************************************************************************
@echo off

:done
