@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

echo ****************  POOL STP BUILD START   *********************

db2 drop procedure SP_I_POOL
db2 create procedure SP_I_POOL(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_FS_POOL
db2 create procedure SP_I_FS_POOL(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar, in res_id long varchar) external name '%procdir%%DB%!SP_I_FS_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_POOL_NAME
db2 create procedure SP_U_POOL_NAME(in id long varchar, in name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_POOL_NAME' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_POOL_DESC
db2 create procedure SP_U_POOL_DESC(in id long varchar, in label long varchar, in description long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_POOL_DESC' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_POOL_CIE
db2 create procedure SP_U_POOL_CIE(in id long varchar, in domain_id long varchar, in company_name long varchar, in address long varchar, in phone long varchar, in fax long varchar, in website long varchar, in other_location long varchar, in year_in_business integer, in client_more_100_employees integer, in client_more_1000_employees integer, in client_more_10000_employees integer, in number_employees integer, in number_pools integer, in number_clients integer, in contact_name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_POOL_CIE' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_POOL_BKG
db2 create procedure SP_U_POOL_BKG(in id long varchar, in annual_revenues double, in billing_address long varchar, in billing_phone long varchar, in billing_fax long varchar, in billing_email long varchar, in equal_opportunity long varchar, in company_background long varchar, in ownership long varchar, in services_offered long varchar, in services_specialized long varchar, in industries_served long varchar, in highlight long varchar, in location_served long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_POOL_BKG' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_POOL_MGR
db2 create procedure SP_U_POOL_MGR(in id long varchar, in manager_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_POOL_MGR' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_UG_ID
db2 create procedure SP_U_UG_ID( in id long varchar, in user_group_id long varchar, in rec_user long varchar)external name '%procdir%%DB%!SP_U_UG_ID' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_UG_SECURITY
db2 create procedure SP_U_UG_SECURITY( in id long varchar, in int_security_1 integer, in int_security_2 integer, in int_security_3 integer, in int_security_4 integer, in int_security_5 integer, in rec_user long varchar)external name '%procdir%%DB%!SP_U_UG_SECURITY' language c deterministic parameter style general with nulls
db2 drop procedure SP_DF_POOL
db2 create procedure SP_DF_POOL(in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_DF_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_POOL
db2 create procedure SP_D_POOL(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_UN_POOL
db2 create procedure SP_UN_POOL(in id long varchar, in parent_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UN_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_POOL
db2 create procedure SP_S_POOL(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_POOL' language c deterministic parameter style general with nulls

rem db2 drop procedure SP_S_POOL_CIE
rem db2 create procedure SP_S_POOL_CIE(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_POOL_CIE' language c deterministic parameter style general with nulls

rem db2 drop procedure SP_S_POOL_BKG
rem db2 create procedure SP_S_POOL_BKG(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_POOL_BKG' language c deterministic parameter style general with nulls

db2 drop procedure SP_A_RES_POOL
db2 create procedure SP_A_RES_POOL(in resource_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_RES_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_UA_RES_POOL
db2 create procedure SP_UA_RES_POOL(in resource_id long varchar, in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_UA_RES_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_RES_A_POOL
db2 create procedure SP_S_RES_A_POOL(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_RES_A_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_CKOUT_POOL
db2 create procedure SP_CKOUT_POOL(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CKOUT_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_CKIN_POOL
db2 create procedure SP_CKIN_POOL(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_CKIN_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_UCKOUT_POOL
db2 create procedure SP_UCKOUT_POOL(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_UCKOUT_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_ISOUT_POOL
db2 create procedure SP_ISOUT_POOL(in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_ISOUT_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_POOL_REVISION
db2 create procedure SP_U_POOL_REVISION(in id long varchar, in bitflag integer, in rev_impact integer, in rev_type integer, in rev_history long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_POOL_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_POOL_REVISION
db2 create procedure SP_S_POOL_REVISION(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_POOL_REVISION' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_POOL_PUBLIC
db2 create procedure SP_U_POOL_PUBLIC(in id long varchar, in public long varchar, in mask_employee_info integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_POOL_PUBLIC' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_POOL_CPLAN
db2 create procedure SP_S_POOL_CPLAN(in id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_S_POOL_CPLAN' language c deterministic parameter style general with nulls

db2 drop procedure SP_M_POOL
db2 create procedure SP_M_POOL(in target long varchar, in source long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_POOL' language c deterministic parameter style general with nulls

db2 drop procedure SP_MIG_POOL_WBS
db2 create procedure SP_MIG_POOL_WBS(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_MIG_POOL_WBS' language c deterministic parameter style general with nulls

db2 drop procedure SP_S_ADM_TASK
db2 create procedure SP_S_ADM_TASK(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ADM_TASK' language c deterministic parameter style general with nulls

db2 drop procedure SP_I_ADM_TASK
db2 create procedure SP_I_ADM_TASK(in adm_tsk_name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_ADM_TASK' language c deterministic parameter style general with nulls

db2 drop procedure SP_U_ADM_TASK_NAME
db2 create procedure SP_U_ADM_TASK_NAME(in id long varchar, in adm_tsk_name long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_ADM_TASK_NAME' language c deterministic parameter style general with nulls

db2 drop procedure SP_D_ADM_TASK
db2 create procedure SP_D_ADM_TASK(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_ADM_TASK' language c deterministic parameter style general with nulls


db2 drop procedure SP_SELECT_POOLS
db2 create procedure SP_SELECT_POOLS(in p_id long varchar, in p_keywords long varchar, in p_attribute_ids long varchar, in p_bitflag integer, in p_rec_user long varchar) external name '%procdir%%DB%!SP_SELECT_POOLS' language c deterministic parameter style general with nulls

	



echo ****************  POOL STP BUILD FINISH   *********************
:done
