@echo off

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************



echo ****************  RES_BACK STP BUILD START   *********************

echo  SP_U_EXPERIENCE
db2 drop procedure SP_U_EXPERIENCE
db2 create procedure SP_U_EXPERIENCE(in id long varchar,in experience long varchar, in achivements long varchar,in passions long varchar,in summarySkills long varchar, in miscellaneous long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_EXPERIENCE' language c deterministic parameter style general with nulls

echo  SP_U_RWORKSPEC
db2 drop procedure SP_U_RWORKSPEC
db2 create procedure SP_U_RWORKSPEC(in id long varchar, in title_id long varchar, in address1 long varchar, in address2 long varchar, in zip long varchar, in citizenship long varchar,in pmnotes_id long varchar, in rmnotes_id long varchar, in practicenotes_id long varchar, in pm_phone long varchar, in rm_phone long varchar, in practice_phone long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RWORKSPEC' language c deterministic parameter style general with nulls

echo  SP_U_RESREADINESS
db2 drop procedure SP_U_RESREADINESS
db2 create procedure SP_U_RESREADINESS(in id long varchar, in languageid long varchar, in readid integer, in speakid integer, in writeid integer, in default_language long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RESREADINESS' language c deterministic parameter style general with nulls

echo  SP_U_RESLOCPREF
db2 drop procedure SP_U_RESLOCPREF
db2 create procedure SP_U_RESLOCPREF(in resid long varchar,in reloc long varchar, in reloc_duration long varchar, in reloc1 long varchar,in reloc2 long varchar,in reloc3 long varchar,in travel long varchar,in duration long varchar,in dest1 long varchar,in dest2 long varchar,in dest3 long varchar,in passport long varchar,in expirdate long varchar,in visa1 long varchar,in visa_exp1 long varchar,in visa2 long varchar,in visa_exp2 long varchar,in visa3 long varchar,in visa_exp3 long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_RESLOCPREF' language c deterministic parameter style general with nulls

echo  SP_U_PROJHIST
db2 drop procedure SP_U_PROJHIST
db2 create procedure SP_U_PROJHIST(in prjhistid long varchar, in client long varchar,in classif_id long varchar,in industry_type integer,in prjname long varchar,in start long varchar,in end long varchar,in prjlength long varchar,in timespent long varchar,in role long varchar,in descr long varchar,in resp long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_PROJHIST' language c deterministic parameter style general with nulls

echo  SP_U_EMPLYMENTHIST
db2 drop procedure SP_U_EMPLYMENTHIST
db2 create procedure SP_U_EMPLYMENTHIST(in id long varchar, in company long varchar, in title long varchar,in salary double, in start long varchar, in enddate long varchar,in location long varchar,in descr long varchar,in resp long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_EMPLYMENTHIST' language c deterministic parameter style general with nulls

echo  SP_U_EDUCATION
db2 drop procedure SP_U_EDUCATION
db2 create procedure SP_U_EDUCATION(in id long varchar, in org long varchar,in degree long varchar,in spec long varchar,in grad long varchar,in grad_date long varchar,in appointed long varchar,in appointed_date long varchar,in honors long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_EDUCATION' language c deterministic parameter style general with nulls

echo  SP_U_BGINDUSTRYEXP
db2 drop procedure SP_U_BGINDUSTRYEXP
db2 create procedure SP_U_BGINDUSTRYEXP(in id long varchar, in classification long varchar, in industry integer,in proflevel integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_BGINDUSTRYEXP' language c deterministic parameter style general with nulls

echo  SP_S_RESREADINESS
db2 drop procedure SP_S_RESREADINESS
db2 create procedure SP_S_RESREADINESS(in resid long varchar, in bits integer) external name '%procdir%%DB%!SP_S_RESREADINESS' language c deterministic parameter style general with nulls

echo  SP_S_PROJHIST
db2 drop procedure SP_S_PROJHIST
db2 create procedure SP_S_PROJHIST(in resid long varchar,in bits integer) external name '%procdir%%DB%!SP_S_PROJHIST' language c deterministic parameter style general with nulls

echo  SP_S_EMPLYMENTHIST
db2 drop procedure SP_S_EMPLYMENTHIST
db2 create procedure SP_S_EMPLYMENTHIST(in resid long varchar,in bits integer) external name '%procdir%%DB%!SP_S_EMPLYMENTHIST' language c deterministic parameter style general with nulls

echo  SP_S_EDUCATION
db2 drop procedure SP_S_EDUCATION
db2 create procedure SP_S_EDUCATION(in id long varchar, in bits integer) external name '%procdir%%DB%!SP_S_EDUCATION' language c deterministic parameter style general with nulls

echo  SP_S_BGINDUSTRYEXP
db2 drop procedure SP_S_BGINDUSTRYEXP
db2 create procedure SP_S_BGINDUSTRYEXP(in resid long varchar,in bits integer) external name '%procdir%%DB%!SP_S_BGINDUSTRYEXP' language c deterministic parameter style general with nulls

echo  SP_I_RESREADINESS
db2 drop procedure SP_I_RESREADINESS
db2 create procedure SP_I_RESREADINESS(in languageid long varchar,in resid long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_RESREADINESS' language c deterministic parameter style general with nulls

echo  SP_I_PROJHIST
db2 drop procedure SP_I_PROJHIST
db2 create procedure SP_I_PROJHIST(in prjname long varchar, in resid long varchar,in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_PROJHIST' language c deterministic parameter style general with nulls

echo  SP_I_EMPLYMENTHIST
db2 drop procedure SP_I_EMPLYMENTHIST
db2 create procedure SP_I_EMPLYMENTHIST(in name long varchar, in resid long varchar,in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_EMPLYMENTHIST' language c deterministic parameter style general with nulls

echo  SP_I_EDUCATION
db2 drop procedure SP_I_EDUCATION
db2 create procedure SP_I_EDUCATION(in spec long varchar, in resid long varchar,in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_EDUCATION' language c deterministic parameter style general with nulls

echo  SP_I_BGINDUSTRYEXP
db2 drop procedure SP_I_BGINDUSTRYEXP
db2 create procedure SP_I_BGINDUSTRYEXP(in name long varchar, in resid long varchar,in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_BGINDUSTRYEXP' language c deterministic parameter style general with nulls

echo  SP_D_RESREADINESS
db2 drop procedure SP_D_RESREADINESS
db2 create procedure SP_D_RESREADINESS(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_RESREADINESS' language c deterministic parameter style general with nulls

echo  SP_D_PROJHIST
db2 drop procedure SP_D_PROJHIST
db2 create procedure SP_D_PROJHIST(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_PROJHIST' language c deterministic parameter style general with nulls

echo  SP_D_EMPLYMENTHIST
db2 drop procedure SP_D_EMPLYMENTHIST
db2 create procedure SP_D_EMPLYMENTHIST(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_EMPLYMENTHIST' language c deterministic parameter style general with nulls

echo  SP_D_EDUCATION
db2 drop procedure SP_D_EDUCATION
db2 create procedure SP_D_EDUCATION(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_EDUCATION' language c deterministic parameter style general with nulls

echo  SP_D_BGINDUSTRYEXP
db2 drop procedure SP_D_BGINDUSTRYEXP
db2 create procedure SP_D_BGINDUSTRYEXP(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_BGINDUSTRYEXP' language c deterministic parameter style general with nulls

REM ************************************** MISSING FUNCTIONS BEGIN ******************************************
REM **************************************  MISSING FUNCTIONS END  ******************************************

REM   36 Stored procedures  in this batch file.

REM *********************************************  END  *****************************************************


echo ****************  RES_BACK STP BUILD FINISH   *********************
:done
