@echo off
REM ******************************* WORKFLOW STPBUILD BATCH FILE         **********************************
rem
rem Copyright 2000 Systemcorp - PMI All rights reserved. Made in Canada.
rem
rem Workflow.bat
REM *********************************************************************************************************
REM *****!!!!!!!!!!!!        do not forget to change the procdir variable to the                *************
REM *****!!!!!!!!!!!!        proper directory for your  database                                *************
rem *********************************************************************************************************

set procdir=%DLLDRIVE%\function\

IF "%1" EQU "" (SET DB=pmoffice) ELSE (SET DB=%1)
IF "%2" EQU "" (SET USR=servadm) ELSE (SET USR=%2)
IF "%3" EQU "" (SET PWRD=servadm) ELSE (SET PWRD=%3)

db2 CONNECT TO %DB% USER %USR% using %PWRD%

REM ********************************************* BEGIN *****************************************************

echo ****************  WORKFLOW STP BUILD START   *********************

echo  SP_S_WORKFLOW_DEF
db2 drop procedure SP_S_WORKFLOW_DEF
db2 create procedure SP_S_WORKFLOW_DEF(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_WORKFLOW_DEF' language c deterministic parameter style general with nulls

echo  SP_S_WORKFLOW
db2 drop procedure SP_S_WORKFLOW
db2 create procedure SP_S_WORKFLOW(in id long varchar, in bitflag integer, in wkf_id long varchar, in author_id long varchar) external name '%procdir%%DB%!SP_S_WORKFLOW' language c deterministic parameter style general with nulls

echo  SP_U_WORKFLOW_DEF
db2 drop procedure SP_U_WORKFLOW_DEF
db2 create procedure SP_U_WORKFLOW_DEF(in id long varchar, in name long varchar, in type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WORKFLOW_DEF' language c deterministic parameter style general with nulls

echo  SP_D_WOKFLOW
db2 drop procedure  SP_D_WOKFLOW
db2 create procedure SP_D_WOKFLOW(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_WOKFLOW' language c deterministic parameter style general with nulls

echo  SP_D_WKFCYCLES
db2 drop procedure SP_D_WKFCYCLES
db2 create procedure SP_D_WKFCYCLES(in id long varchar, in parent_id long varchar, in del_flag long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_D_WKFCYCLES' language c deterministic parameter style general with nulls

echo  SP_I_WKFCYCLES
db2 drop procedure SP_I_WKFCYCLES
db2 create procedure SP_I_WKFCYCLES(in name long varchar, in parent_id long varchar, in type_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_I_WKFCYCLES' language c deterministic parameter style general with nulls

echo  SP_U_WKFCYCLES
db2 drop procedure SP_U_WKFCYCLES
db2 create procedure SP_U_WKFCYCLES(in id long varchar, in req_id integer, in outcome_id integer, in next_state_id long varchar, in next_stage_id integer, in must_obey integer, in participants long varchar, in checklist long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WKFCYCLES' language c deterministic parameter style general with nulls

echo  SP_A_WORKFLOW
db2 drop procedure SP_A_WORKFLOW
db2 create procedure SP_A_WORKFLOW(in table_type integer,in parent_id long varchar, in wfkdef_id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_A_WORKFLOW' language c deterministic parameter style general with nulls

echo  SP_A_NOTIFICATION
db2 drop procedure SP_A_NOTIFICATION
db2 create procedure SP_A_NOTIFICATION(in table_type integer,in parent_id long varchar, in wfkdef_id long varchar, in type integer, in rec_user long varchar) external name '%procdir%%DB%!SP_A_NOTIFICATION' language c deterministic parameter style general with nulls

echo  SP_U_WORKFLOW
db2 drop procedure SP_U_WORKFLOW
db2 create procedure SP_U_WORKFLOW(in id long varchar, in revision long varchar, in request_id integer, in priority integer, in expires_date  long varchar, in status integer, in subject long varchar, in message long varchar, in participants long varchar, in group_to long varchar, in attachments long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WORKFLOW' language c deterministic parameter style general with nulls

echo  SP_U_WKF_OUTCOME
db2 drop procedure SP_U_WKF_OUTCOME
rem db2 create procedure SP_U_WKF_OUTCOME(in id long varchar, in outcome_id integer, in request_id integer, in end_cycle long varchar, in p_expires_date long varchar, in comment long varchar, in subject long varchar, in checklist long varchar, in group_to long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WKF_OUTCOME' language c deterministic parameter style general with nulls
db2 create procedure SP_U_WKF_OUTCOME(in id long varchar, in outcome_id long varchar, in request_id long varchar, in end_cycle long varchar, in p_expires_date long varchar, in comment long varchar, in subject long varchar, in checklist long varchar, in group_to long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WKF_OUTCOME' language c deterministic parameter style general with nulls

echo  SP_U_WKF_REPLY
db2 drop procedure SP_U_WKF_REPLY
db2 create procedure SP_U_WKF_REPLY(in id long varchar, in comment long varchar, in completed long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WKF_REPLY' language c deterministic parameter style general with nulls


echo  SP_U_WKF_STATUS
db2 drop procedure SP_U_WKF_STATUS
db2 create procedure SP_U_WKF_STATUS(in id long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WKF_STATUS' language c deterministic parameter style general with nulls

echo  SP_U_REPLY_READ
db2 drop procedure SP_U_REPLY_READ
db2 create procedure SP_U_REPLY_READ(in id long varchar, in completed long varchar, in rec_user long varchar) external name '%procdir%%DB%!SP_U_REPLY_READ' language c deterministic parameter style general with nulls

echo  SP_U_WKF_STATUS
db2 drop procedure SP_U_WKF_STATUS
db2 create procedure SP_U_WKF_STATUS(in id long varchar, in status integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_WKF_STATUS' language c deterministic parameter style general with nulls

echo  SP_U_REPLY_STATUS
db2 drop procedure SP_U_REPLY_STATUS
db2 create procedure SP_U_REPLY_STATUS(in id long varchar, in status integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_REPLY_STATUS' language c deterministic parameter style general with nulls

echo  SP_M_WORKFLOW
db2 drop procedure SP_M_WORKFLOW
db2 create procedure SP_M_WORKFLOW(in target_id long varchar, in source_id long varchar, in bitflag integer, in rec_user long varchar) external name '%procdir%%DB%!SP_M_WORKFLOW' language c deterministic parameter style general with nulls

echo  SP_S_ADDR_PROJECT
db2 drop procedure SP_S_ADDR_PROJECT
db2 create procedure SP_S_ADDR_PROJECT(in id long varchar, in bitflag integer) external name '%procdir%%DB%!SP_S_ADDR_PROJECT' language c deterministic parameter style general with nulls

echo  SP_S_ESETTINGS
db2 drop procedure SP_S_ESETTINGS
db2 create procedure SP_S_ESETTINGS() external name '%procdir%%DB%!SP_S_ESETTINGS' language c deterministic parameter style general with nulls

echo  SP_U_STAGE_ID
db2 drop procedure SP_U_STAGE_ID
db2 create procedure SP_U_STAGE_ID(in id long varchar, in type_id integer, in stage_id integer, in rec_user long varchar) external name '%procdir%%DB%!SP_U_STAGE_ID' language c deterministic parameter style general with nulls

echo  SP_S_STAGE_ID
db2 drop procedure SP_S_STAGE_ID
db2 create procedure SP_S_STAGE_ID(in id long varchar, in type_id integer) external name '%procdir%%DB%!SP_S_STAGE_ID' language c deterministic parameter style general with nulls

REM *********************************************  END  *****************************************************

REM   16 Stored procedures  in this batch file.

echo ****************  WORKFLOW STP BUILD FINISH   *********************
:done
